io.vertx.ext.mail

## Class MailServiceVertxEBProxy

- java.lang.Object
- - io.vertx.ext.mail.MailServiceVertxEBProxy

- All Implemented Interfaces:
    MailClient, MailService

      public class MailServiceVertxEBProxy
      extends Object
      implements MailService

- - ### Field Summary

    - ### Fields inherited from interface io.vertx.ext.mail.MailClient

      `DEFAULT_POOL_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MailServiceVertxEBProxy(Vertx vertx, String address)`
    `MailServiceVertxEBProxy(Vertx vertx, String address, DeliveryOptions options)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` close the MailClient
    `MailService` | `sendMail(MailMessage email, Handler<AsyncResult<MailResult>> resultHandler)` send a single mail via MailClient

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.ext.mail.MailService

      `createEventBusProxy`

    - ### Methods inherited from interface io.vertx.ext.mail.MailClient

      `createNonShared, createShared, createShared`

- - ### Constructor Detail

    - #### MailServiceVertxEBProxy

          public MailServiceVertxEBProxy(Vertx vertx,
                                         String address)

    - #### MailServiceVertxEBProxy

          public MailServiceVertxEBProxy(Vertx vertx,
                                         String address,
                                         DeliveryOptions options)

  - ### Method Detail

    - #### sendMail

          public MailService sendMail(MailMessage email,
                                      Handler<AsyncResult<MailResult>> resultHandler)

      Description copied from interface: `MailClient`
      send a single mail via MailClient
      Specified by:
        `sendMail` in interface `MailClient`
      Specified by:
        `sendMail` in interface `MailService`
      Parameters:
        `email` - MailMessage object containing the mail text, from/to, attachments etc
        `resultHandler` - will be called when the operation is finished or it fails (may be null to ignore the result)
      Returns:
        this MailClient instance so the method can be used fluently

    - #### close

          public void close()

      Description copied from interface: `MailClient`
      close the MailClient
      Specified by:
        `close` in interface `MailClient`
      Specified by:
        `close` in interface `MailService`

Copyright © 2015. All rights reserved.